from odoo import fields, models,api,_
from odoo.exceptions import UserError, ValidationError

class BenefitVehicleModel(models.Model):
    _name = 'benefit.vehicle.model'
    _description = "Vehicle Model"
    _inherit = ['mail.thread', 'mail.activity.mixin']

    name = fields.Char(string="Name", required=True, tracking=True)
    active = fields.Boolean(default=True)

    _sql_constraints = [
        ("name_unique", "unique(name)", _("The name must be unique.")),
    ]